Security update for rubygem-excon (moderate)

2020-01-29T21:38:48
ID OPENSUSE-SU-2020:0139-1
Type suse
Reporter Suse
Modified 2020-01-29T21:38:48

Description

This update for rubygem-excon fixes the following issues:

CVE-2019-16779 (boo#1159342): Fix a race condition around persistent connections, where a connection, which was interrupted, would leave data on the socket. Subsequent requests would then read this data, returning content from the previous response.

This update was imported from the openSUSE:Leap:15.1:Update update project.